KIWIX(1)

NAME
kiwix-manage - Gestionnaire de bibliothèque Kiwix

SYNOPSIS
kiwix-manage
kiwix-manage LIBRARY_PATH add ZIM_PATH ...
    kiwix-manage LIBRARY_PATH show [CONTENTID1] [CONTENTID2] ...
    kiwix-manage LIBRARY_PATH remove CONTENTID1 [CONTENTID2]

DESCRIPTION

  kiwix-manage

Permet de gérer les contenus de la bibliothèque Kiwix. La bibliothèque est un fichier XML référencant les contenus ZIM et leurs méta-donnnées: Index, icone, date, etc.

Un fichier d'exemple est disponible à http://www.kiwix.org/library.xml

add Ajoute le fichier ZIM_FILE à la bibliothèque LIBRARY_FILE.

show
    Show given CONTENT_ID from LIBRARY_FILE. If no CONTENT_ID is given then all contents from LIBRARY_FILE are shown. Affiche les détails de CONTENT_ID dans la bibliothèque LIBRARY_FILE.
    Sans CONTENT_ID, tous les contenus sont affichés.

remove
    Supprime le contenu CONTENT_ID de la bibliothèque. Au moins un CONTENT_ID doit être spécifié.

--zimPathToSave=
    Change le chemin de référence du fichier ZIM dans la bibliothèque.

--current
    Marque ce contenu comme celui courant (contenu par défaut) dans la biliothèque.

--backend=xapian|clucene
    Séléctionne un moteur d'indexation.

--indexPath=FULLTEXT_IDX_PATH
    Chemin vers l'index plein texte correspondant au fichier ZIM.

url Définit l'adresse URL corresponsant au fichier ZIM pour pouvoir être téléchargé depuis Kiwix.

SEE ALSO
kiwix(1) kiwix-install(1) kiwix-serve(1)

AUTHOR
Emmanuel Engelhart <kelson@kiwix.org>
Vasudev Kamath <kamathvasudev@gmail.com> (Manual)